Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.pki
Interface CertificationRequest

All Known Implementing Classes:
  NetscapeCertificationRequest, PKCS10CertificationRequest

public interface CertificationRequest

An interface for certification requests

Method Summary
`byte[]` | `getEncoded()` Return the default encoding of this object.
`byte[]` | `getEncodedPublicKey()` Get the DER encoding of the `PublicKey` associated with this `CertificationRequest`.
`String` | `getKeyAlgName()` Return the type of public key included in this request.
`PublicKey` | `getPublicKey()` Return the `PublicKey` associated with this object.
`String` | `getSigAlgName()` Return the algorithm name of the signature associated to this object.
`byte[]` | `getSignature()` Return the signature (bytes) of this request.
`String` | `getSubjectName()` Return the name of the subject making this request.
`boolean` | `verifySignature()` Verify the signature on this request.

Method Detail

### getEncodedPublicKey

    public byte[] getEncodedPublicKey()

  Get the DER encoding of the `PublicKey` associated with this `CertificationRequest`.

  The encoding is described by the ASN.1 structure SubjectPublicKeyInfo.

          SubjectPublicKeyInfo  ::= SEQUENCE  {
             algorithm            AlgorithmIdentifier,
             subjectPublicKey     BIT STRING  }

### getPublicKey

    public PublicKey getPublicKey()

  Return the `PublicKey` associated with this object.

### getSignature

    public byte[] getSignature()

  Return the signature (bytes) of this request.

### getSigAlgName

    public String getSigAlgName()

  Return the algorithm name of the signature associated to this object.

### getSubjectName

    public String getSubjectName()

  Return the name of the subject making this request.

### getKeyAlgName

    public String getKeyAlgName()

  Return the type of public key included in this request.

### verifySignature

    public boolean verifySignature()

  Verify the signature on this request.

### getEncoded

    public byte[] getEncoded()

  Return the default encoding of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD